This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 165997 - cannot marshal None unless allow_none is enabled
cannot marshal None unless allow_none is enabled
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Beth Nackashi
:
Depends On:
Blocks: 155571 156320 162701
  Show dependency treegraph
 
Reported: 2005-08-15 13:10 EDT by Adrian Likins
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEL 3 U6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 13:10:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adrian Likins 2005-08-15 13:10:37 EDT
+++ This bug was initially created as a clone of Bug #162701 +++

through the webui i scheduled a package verification for some 400 packages, ran
rhn_check on the system with up2date-4.4.5-1 and got this:

[long list of packages]
'zlib', '1.2.1.2', '1', '', 'i386'), []]], 'version': 0, 'name': 'packages.verify'})
https://xmlrpc.rhn.webqa.redhat.com/XMLRPC foo
Traceback (most recent call last):
  File "/usr/sbin/rhn_check", line 346, in ?
    handle_action(action)
  File "/usr/sbin/rhn_check", line 222, in handle_action
    return submit_response(action_id, status, message, data)
  File "/usr/sbin/rhn_check", line 124, in submit_response
    action_id, status, message, data)
  File "/usr/lib/python2.3/xmlrpclib.py", line 1029, in __call__
    return self.__send(self.__name, args)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 45, in _request1
    ret = self._request(methodname, params)
  File "/usr/lib/python2.3/site-packages/rhn/rpclib.py", line 302, in _request
    request = self._req_body(params, methodname)
  File "/usr/lib/python2.3/site-packages/rhn/rpclib.py", line 217, in _req_body
    return xmlrpclib.dumps(params, methodname, encoding=self._encoding)
  File "/usr/lib/python2.3/xmlrpclib.py", line 961, in dumps
    data = m.dumps(params)
  File "/usr/lib/python2.3/xmlrpclib.py", line 604, in dumps
    dump(v, write)
  File "/usr/lib/python2.3/xmlrpclib.py", line 616, in __dump
    f(self, value, write)
  File "/usr/lib/python2.3/xmlrpclib.py", line 694, in dump_struct
    dump(value[k], write)
  File "/usr/lib/python2.3/xmlrpclib.py", line 616, in __dump
    f(self, value, write)
  File "/usr/lib/python2.3/xmlrpclib.py", line 676, in dump_array
    dump(v, write)
  File "/usr/lib/python2.3/xmlrpclib.py", line 616, in __dump
    f(self, value, write)
  File "/usr/lib/python2.3/xmlrpclib.py", line 676, in dump_array
    dump(v, write)
  File "/usr/lib/python2.3/xmlrpclib.py", line 616, in __dump
    f(self, value, write)
  File "/usr/lib/python2.3/xmlrpclib.py", line 676, in dump_array
    dump(v, write)
  File "/usr/lib/python2.3/xmlrpclib.py", line 616, in __dump
    f(self, value, write)
  File "/usr/lib/python2.3/xmlrpclib.py", line 620, in dump_nil
    raise TypeError, "cannot marshal None unless allow_none is enabled"
TypeError: cannot marshal None unless allow_none is enabled
Comment 1 Adrian Likins 2005-08-15 13:12:00 EDT
fixed in 4.4.36-3
Comment 2 Debbie McGrath 2005-09-14 11:33:50 EDT
What is the release vehicle for this bug?
This is not on any up2date tracking bugs.
Comment 3 Beth Nackashi 2005-09-27 16:36:00 EDT
verified using up2date-4.4.44-3.i386

Note You need to log in before you can comment on or make changes to this bug.